Bug 1126423

Summary: [tomcat6] duplicate jars in tomcat6/bin
Product: [JBoss] JBoss Enterprise Web Server 2 Reporter: Michal Haško <mhasko>
Component: tomcat6Assignee: Weinan Li <weli>
Status: CLOSED EOL QA Contact: Pavel Slavicek <pslavice>
Severity: high Docs Contact:
Priority: high    
Version: 2.1.0CC: jclere, jdoyle, lfuka, mturk, pslavice, rsvoboda, vtunka, weli
Target Milestone: CR02   
Target Release: 2.1.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Previously in JBoss Enterprise Web Server, duplicated JAR files were unexpected available in the Red Hat Enterprise Linux 6 ZIP files for Tomcat. This issue is fixed in JBoss Enterprise Web Server 2.1 and the duplicated files are now removed.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-13 08:00:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michal Haško 2014-08-04 12:13:58 UTC
There are duplicate identical jars in the rhel zips tomcat6 directory:
8e67ff0e3427bf7563bb600e06077f53  tomcat6/bin/commons-daemon.jar
8e67ff0e3427bf7563bb600e06077f53  tomcat6/bin/commons-daemon-eap6.jar

but only one in tomcat7 directory:
8e67ff0e3427bf7563bb600e06077f53  tomcat7/bin/commons-daemon.jar

The rpm will probably needs fixing too, because in tomcat6 rpm is:
/usr/share/tomcat6/bin/commons-daemon-eap6.jar

but in tomcat7 rpm:
/usr/share/tomcat7/bin/commons-daemon.jar

Comment 1 Libor Fuka 2014-08-04 12:23:13 UTC
Solaris zips:
share/tomcat6/bin/commons-daemon-eap6.jar
share/tomcat7/bin -> no commons-daemon.jar file

Windows zips:
share/tomcat6/bin/commons-daemon-eap6.jar
share/tomcat7/bin -> no commons-daemon.jar file

If i remember this jar file is used by daemon.sh script. This script is referencing commons-daemon.jar file.

Comment 2 Weinan Li 2014-08-04 13:10:54 UTC
I've checked tc6 and tc7 rpms:

In tomcat6 el6 rpm:

./usr/share/tomcat6/bin/commons-daemon-eap6.jar

In tomcat7 el6 rpm: 

./usr/share/tomcat7/bin/commons-daemon-7.0.54.jar

Win/Sol are borrowed from el6 rpms so it can explain the situation on Win/Sol.

For the 8e67ff0e3427bf7563bb600e06077f53  tomcat6/bin/commons-daemon.jar
I've checked tomcat6 zip:

[weli@dhcp-66-78-87 rpms]$ find . | grep commons-daemon
./apache-tomcat-6.0.41/bin/commons-daemon-eap6.jar
./apache-tomcat-6.0.41/bin/commons-daemon.jar

@Dave, could you please help to uniform this in both tc6 and tc7?

Comment 3 Libor Fuka 2014-08-04 13:16:01 UTC
commons-daemon.jar is placed in tomcatX/lib directory for Solaris 
There is not commons-daemon.jar for Windows

Comment 4 Libor Fuka 2014-08-04 13:23:09 UTC
Mladen should you also comment it ?

Comment 7 Weinan Li 2014-08-05 07:02:39 UTC
Verified from tomcat6-6.0.41-5_patch_02.ep6.el6:

rpm2cpio.pl tomcat6-6.0.41-5_patch_02.ep6.el6.noarch.rpm | cpio -idv
...
$ find . | grep commons
./usr/share/tomcat6/bin/commons-daemon-6.0.41.jar
./usr/share/tomcat6/bin/commons-daemon.jar

rpm2cpio.pl tomcat6-zip-6.0.41-5_patch_02.ep6.el6.noarch.rpm | cpio -idv

./usr/share/java/jbossas-fordev
./usr/share/java/jbossas-fordev/tomcat6-6.0.41-examples.zip
./usr/share/java/jbossas-fordev/tomcat6-6.0.41.zip

$ unzip -l ./usr/share/java/jbossas-fordev/tomcat6-6.0.41.zip | grep commons-daemon
    29443  10-01-13 21:26   apache-tomcat-6.0.41/bin/commons-daemon.jar

Comment 8 Vaclav Tunka 2014-08-05 12:52:28 UTC
We had a discussion with Libor on the topic and after figuring out all the details, we decided no changes are necessary for Windows & Solaris.

Comment 9 Libor Fuka 2014-08-07 06:40:14 UTC
Its fixed in all CR3 zips except RHEL5 tomcat.

Comment 10 Weinan Li 2014-08-07 09:18:49 UTC
Check tomcat6-6.0.41-6_patch_02.ep6.el5. In Rpm:

$ find . | grep commons
./usr/share/tomcat6/bin/commons-daemon-6.0.41.jar
./usr/share/tomcat6/bin/commons-daemon.jar


In Zip:

./usr/share/tomcat6/bin/commons-daemon-6.0.41.jar
./usr/share/tomcat6/bin/commons-daemon.jar


@Dave, please help to fix this in tomcat6 el5.

Comment 11 Weinan Li 2014-08-07 11:47:50 UTC
After rechecking the tomcat6 builds are fine, the problem is in jboss-ews zip bundle, let me fix it.

Comment 12 Libor Fuka 2014-08-08 13:52:55 UTC
Verified on MS Windows/Solaris and RHEl...
waitting for rpm verification.....

Comment 13 Michal Haško 2014-08-08 19:00:13 UTC
VERIFIED on 
tomcat6-6.0.41-6_patch_02.ep6.el5
tomcat6-6.0.41-5_patch_02.ep6.el6
tomcat6-6.0.41-6_patch_02.ep6.el7

Comment 14 Mandar Joshi 2014-08-10 07:26:11 UTC
Added Doc Text.